# Interface TableConsumerParameter

All Known Implementing Classes:
  `OutputModeParameter, OutputTableParameter`

public interface TableConsumerParameter
Defines an object (probably a parameter) which can return a TableConsumer.

Since:
  15 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`TableConsumer`
`consumerValue(uk.ac.starlink.task.Environment env)`
Returns a TableConsumer which corresponds to the value of this parameter.
`void`
`setValueFromConsumer(uk.ac.starlink.task.Environment env, TableConsumer consumer)`
Sets the value of this parameter directly from a TableConsumer.

## Method Details

### consumerValue

TableConsumer consumerValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns a TableConsumer which corresponds to the value of this parameter.

Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### setValueFromConsumer

void setValueFromConsumer(uk.ac.starlink.task.Environment env, TableConsumer consumer) throws uk.ac.starlink.task.TaskException
Sets the value of this parameter directly from a TableConsumer.

Parameters:
  `env` - execution environment
  `consumer` - consumer
Throws:
  `uk.ac.starlink.task.TaskException`